"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var resources = {
  "en_US": {
    "dingui_mini_network_connection_error": "There is a problem with the network connection, please check your network settings",
    "dingui_mini_view_network_diagnostics": "View Network Diagnostics",
    "dingui_mini_retry": "Retry",
    "dingui_mini_permission_error": "No access rights pending",
    "dingui_mini_page_error": "Page exception, click the Refresh button to try again",
    "dingui_mini_refresh": "Refresh"
  },
  "zh_CN": {
    "dingui_mini_network_connection_error": "网络连接发生问题，请检查你的网络设置",
    "dingui_mini_view_network_diagnostics": "查看网络诊断",
    "dingui_mini_retry": "重试",
    "dingui_mini_permission_error": "暂无访问权限",
    "dingui_mini_page_error": "页面异常，点击刷新按钮重试",
    "dingui_mini_refresh": "刷新"
  },
  "zh_TW": {
    "dingui_mini_network_connection_error": "網路連接發生問題，請檢查你的網路設置",
    "dingui_mini_view_network_diagnostics": "查看網路診斷",
    "dingui_mini_retry": "重試",
    "dingui_mini_permission_error": "暫無存取權限",
    "dingui_mini_page_error": "頁面異常，點擊刷新按鈕重試",
    "dingui_mini_refresh": "刷新"
  },
  "zh_HK": {
    "dingui_mini_network_connection_error": "網路連接發生問題，請檢查你的網路設置",
    "dingui_mini_view_network_diagnostics": "查看網路診斷",
    "dingui_mini_retry": "重試",
    "dingui_mini_permission_error": "暫無存取權限",
    "dingui_mini_page_error": "頁面異常，點擊刷新按鈕重試",
    "dingui_mini_refresh": "刷新"
  },
  "ja_JP": {
    "dingui_mini_network_connection_error": "ネットワーク接続に問題がある場合は、ネットワーク設定を確認してください。",
    "dingui_mini_view_network_diagnostics": "ネットワーク診断の表示",
    "dingui_mini_retry": "再試行",
    "dingui_mini_permission_error": "保留中のアクセス権なし",
    "dingui_mini_page_error": "ページの例外、更新ボタンをクリックして再試行してください",
    "dingui_mini_refresh": "更新"
  },
  "vi_VN": {
    "dingui_mini_network_connection_error": "Có vấn đề với kết nối mạng, hãy kiểm tra cài đặt mạng của bạn",
    "dingui_mini_view_network_diagnostics": "Xem chẩn đoán mạng",
    "dingui_mini_retry": "Thử lại",
    "dingui_mini_permission_error": "Không có quyền truy cập đang chờ xử lý",
    "dingui_mini_page_error": "Ngoại lệ trang, bấm vào nút làm mới để thử lại",
    "dingui_mini_refresh": "Refresh"
  },
  "id_ID": {
    "dingui_mini_network_connection_error": "Ada masalah dengan koneksi jaringan, silakan periksa pengaturan jaringan Anda",
    "dingui_mini_view_network_diagnostics": "Lihat diagnostik jaringan",
    "dingui_mini_retry": "Pengulangan",
    "dingui_mini_permission_error": "Tidak ada hak akses tertunda",
    "dingui_mini_page_error": "Pengecualian halaman, klik tombol refresh untuk mencoba lagi",
    "dingui_mini_refresh": "Refresh"
  },
  "ne_NP": {
    "dingui_mini_network_connection_error": "Ada masalah dengan koneksi jaringan, silakan periksa pengaturan jaringan Anda",
    "dingui_mini_view_network_diagnostics": "Lihat diagnostik jaringan",
    "dingui_mini_retry": "Pengulangan",
    "dingui_mini_permission_error": "Tidak ada hak akses tertunda",
    "dingui_mini_page_error": "Pengecualian halaman, klik tombol refresh untuk mencoba lagi",
    "dingui_mini_refresh": "Refresh"
  },
  "th_TH": {
    "dingui_mini_network_connection_error": "มีปัญหากับการเชื่อมต่อเครือข่ายโปรดตรวจสอบการตั้งค่าเครือข่ายของคุณ",
    "dingui_mini_view_network_diagnostics": "ดูการวินิจฉัยเครือข่าย",
    "dingui_mini_retry": "ลอง",
    "dingui_mini_permission_error": "ไม่มีสิทธิ์การเข้าถึงที่ค้างอยู่",
    "dingui_mini_page_error": "ข้อยกเว้นของเพจให้คลิกปุ่มรีเฟรชเพื่อลองอีกครั้ง",
    "dingui_mini_refresh": "รี เฟรช"
  }
};
var compI18n = {
  locale: 'zh_CN',
  resources: resources || {},
  setLng: function setLng(locale) {
    if (locale) {
      compI18n.locale = locale;
    }

    return compI18n;
  },
  t: function t(key) {
    if (!compI18n.resources[compI18n.locale]) {
      return compI18n.resources['zh_CN'][key];
    }

    return compI18n.resources[compI18n.locale][key];
  },
  supportLng: function supportLng() {
    return Object.keys(compI18n.resources);
  }
};
var _default = compI18n;
exports["default"] = _default;