"use strict";

var _compI18nMin = _interopRequireDefault(require("./compI18n.min.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

Component({
  mixins: [],
  data: {
    uiName: 'empty',
    describeArr: []
  },
  props: {
    className: '',
    locale: 'zh_CN',
    // en_US | zh_CN | zh_TW | zh_HK | ja_JP | ne_NP | th_TH | vi_VN | jd_ID
    type: 'default',
    // network|permission|exception|default|''
    img: '',
    iconType: 'search',
    title: '',
    describe: '',
    // 支持自定义折行 在折行地方加入 <br/> 即可，只能最多在文中插入一个
    btnName: '',
    linkText: '',
    inpage: false,
    onDmEmptyLinkTap: function onDmEmptyLinkTap() {},
    // 链接点击事件
    onDmEmptyBtnTap: function onDmEmptyBtnTap() {}
  },
  didMount: function didMount() {
    this.initData();
  },
  didUpdate: function didUpdate(prevProps) {
    var _this$props = this.props,
        type = _this$props.type,
        locale = _this$props.locale,
        describe = _this$props.describe;

    if (type == "defualt" || type !== prevProps.type || locale !== prevProps.locale || describe !== prevProps.describe) {
      this.initData();
    }
  },
  didUnmount: function didUnmount() {},
  methods: {
    onDmEmptyBtnTap: function onDmEmptyBtnTap(e) {
      this.props.onDmEmptyBtnTap(e, this);
    },
    onDmEmptyLinkTap: function onDmEmptyLinkTap(e) {
      this.props.onDmEmptyLinkTap(e, this);
    },
    getEmptyPagePreset: function getEmptyPagePreset(type) {
      var EmptyPagePreset = {
        'network': {
          img: 'https://gw.alicdn.com/tfs/TB1fBxMRrvpK1RjSZFqXXcXUVXa-543-360.png',
          describe: _compI18nMin["default"].t('dingui_mini_network_connection_error'),
          linkText: _compI18nMin["default"].t('dingui_mini_view_network_diagnostics'),
          btnName: _compI18nMin["default"].t('dingui_mini_retry')
        },
        'permission': {
          img: 'https://gw.alicdn.com/tfs/TB1lT0QRq6qK1RjSZFmXXX0PFXa-543-360.png',
          describe: _compI18nMin["default"].t('dingui_mini_permission_error')
        },
        'exception': {
          img: 'https://gw.alicdn.com/tfs/TB1e8xMRrvpK1RjSZFqXXcXUVXa-543-360.png',
          describe: _compI18nMin["default"].t('dingui_mini_page_error'),
          btnName: _compI18nMin["default"].t('dingui_mini_refresh')
        }
      };
      return type ? EmptyPagePreset[type] : EmptyPagePreset;
    },
    initData: function initData() {
      var _this$props2 = this.props,
          type = _this$props2.type,
          locale = _this$props2.locale,
          describe = _this$props2.describe;

      _compI18nMin["default"].setLng(locale);

      if (describe && describe.indexOf('<br/>') != -1) {
        this.setData({
          describeArr: describe.split('<br/>').slice(0, 2)
        });
      }

      if (Object.prototype.hasOwnProperty.call(this.getEmptyPagePreset(), type)) {
        var langResource = this.getEmptyPagePreset(type) || {};
        this.setData({
          img: langResource.img || '',
          title: langResource.title || '',
          describe: langResource.describe || '',
          btnName: langResource.btnName || '',
          linkText: langResource.linkText || ''
        });
      } else if (type == "default") {
        this.setData({
          img: this.props.img || '',
          title: this.props.title || '',
          describe: this.props.describe || '',
          btnName: this.props.btnName || '',
          linkText: this.props.linkText || ''
        });
      }
    }
  }
});