"use strict";

var isType = function isType(vari, type) {
  return Object.prototype.toString.call(vari) === "[object ".concat(type, "]");
};

var resource = {
  type2text: {},
  type2font: {}
};

var get = function get() {
  return resource;
};
/**
 * 新增一个字体资源
 * @param {String} font 字体的fontFamily
 * @param {Object} icon icon的type映射为content的字典
 */


var add = function add() {
  var font = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  var icon = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  if (!isType(font, 'String') || !isType(icon, 'Object')) {
    return false;
  }

  Object.keys(icon).forEach(function (type) {
    var text = icon[type];

    if (isType(resource.type2text[type], 'Undefined')) {
      resource.type2text[type] = text;
      resource.type2font[type] = font;
    }
  });
  return resource;
};

module.exports = {
  add: add,
  get: get,
  set: add //  兼容之前的 set 写法

};